- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# flatpak_remote – Manage flatpak repository remotes

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Allows users to add or remove flatpak remotes.
- The flatpak remotes concept is comparable to what is called repositories in other packaging formats.
- Currently, remote addition is only supported via flatpakrepo file URLs.
- Existing remotes will not be updated.
- See the flatpak module for managing flatpaks.

## Requirements

The below requirements are needed on the host that executes this module.

- flatpak

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable - | Default: "flatpak" | The path to the `flatpak` executable to use. By default, this module looks for the `flatpak` executable on the path.
flatpakrepo_url - |  | The URL to the flatpakrepo file representing the repository remote to add. When used with state=present, the flatpak remote specified under the flatpakrepo_url is added using the specified installation `method`. When used with state=absent, this is not required. Required when state=present.
method - | Choices: system ← user | The installation method to use. Defines if the flatpak is supposed to be installed globally for the whole `system` or only for the current `user`.
name - / required |  | The desired name for the flatpak remote to be registered under on the managed host. When used with state=present, the remote will be added to the managed host under the specified name. When used with state=absent the remote with that name will be removed.
state - | Choices: absent present ← | Indicates the desired package state.

## Examples

    - name: Add the Gnome flatpak remote to the system installation
      flatpak_remote:
        name: gnome
        state: present
        flatpakrepo_url: https://sdk.gnome.org/gnome-apps.flatpakrepo

    - name: Add the flathub flatpak repository remote to the user installation
      flatpak_remote:
        name: flathub
        state: present
        flatpakrepo_url: https://dl.flathub.org/repo/flathub.flatpakrepo
        method: user

    - name: Remove the Gnome flatpak remote from the user installation
      flatpak_remote:
        name: gnome
        state: absent
        method: user

    - name: Remove the flathub remote from the system installation
      flatpak_remote:
        name: flathub
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
command string | When a flatpak command has been executed | The exact flatpak command that was executed Sample: /usr/bin/flatpak remote-add --system flatpak-test https://dl.flathub.org/repo/flathub.flatpakrepo
msg string | failure | Module error message Sample: Executable '/usr/local/bin/flatpak' was not found on the system.
rc integer | When a flatpak command has been executed | Return code from flatpak binary
stderr string | When a flatpak command has been executed | Error output from flatpak binary Sample: error: GPG verification enabled, but no summary found (check that the configured URL in remote config is correct)
stdout string | When a flatpak command has been executed | Output from flatpak binary Sample: flathub Flathub https://dl.flathub.org/repo/ 1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- John Kwiatkoski (@JayKayy)
- Alexander Bethke (@oolongbrothers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.